For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/payment/payvia‑rule

get

--notset--

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payviaidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
Responses
200

success

successbooleanOptionalExample: true
get/api/payment/payvia-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payvia_type_id' => 11,
		'ruleid' => '1565382567:1907294400:1'
	);

$request = array(
	'method' => 'GET',
	'path' => 'payment/payvia-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "payvia_rule": {
    "payvia_type_id": "11",
    "rule_type": "1",
    "identid": "8",
    "start_time": "1565382567",
    "end_time": "1907294400",
    "start_nice": "2019-08-09 16:29:27",
    "end_nice": "2030-06-10 00:00:00",
    "rule_status": 1,
    "advanced": 1,
    "override_identifier_id": [
      "8"
    ],
    "ruleid": "1565382567:1907294400:1",
    "rule_type_nice": "ENABLE",
    "login": [
      {
        "id": 0,
        "name": "ALL"
      }
    ],
    "country": [
      {
        "id": "EU",
        "name": "Europe *"
      }
    ]
  }
}
post

Add new payvia rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payviaidintegerRequired
rule_typestringRequired
loginstringOptional
countrystringOptional
start_timestringOptionalDefault: NOW
end_timestringOptionalDefault: FOREVER
Responses
200

success

successbooleanOptionalExample: true
post/api/payment/payvia-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payviaid' => 11,
		'rule_type' => 1,
		'country' => array (
  0 => 'USA',
  1 => 'EU',
),
		'start_time' => 'NOW',
		'end_time' => '2030-06-10'
	);

$request = array(
	'method' => 'POST',
	'path' => 'payment/payvia-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Payvia rule added"
}
delete

Disable payvia rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payviaidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
Responses
200

success

successbooleanOptionalExample: true
delete/api/payment/payvia-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payviaid' => 14,
		'ruleid' => '1565382567:1907294400:1'
	);

$request = array(
	'method' => 'DELETE',
	'path' => 'payment/payvia-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Payvia rule disabled"
}
patch

Edit payvia rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payviaidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
rule_typestringRequired
loginstringOptional
countrystringOptional
start_timestringOptionalDefault: NOW
end_timestringOptionalDefault: FOREVER
Responses
200

success

successbooleanOptionalExample: true
patch/api/payment/payvia-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payviaid' => 14,
		'ruleid' => '1565382567:1907294400:1',
		'rule_type' => 1,
		'login' => json_encode(array ( 0 => 1,)),
		'country' => 'USA',
		'start_time' => '2019-06-10',
		'end_time' => '2030-06-10'
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'payment/payvia-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Payvia rule edited"
}

Last updated

Was this helpful?